Subject: Re: [PATCH net-next v1 0/2] ethtool: use bits.h defines

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Dec 2022 18:40:29 -0800

On Wed,  7 Dec 2022 15:17:26 -0800 Jesse Brandeburg wrote:
> Change the ethtool files in the kernel, including uapi header files, to
> use the kernel style BIT() and BIT_ULL() functions instead of
> open-coding bit shift operations.
> 
> Making this change results in a more consistent presentation of bit-
> shift operations as well as reduces the further likelihood of mistaken
> (1 << 31) usage which omits the 1UL that is necessary to get an unsigned
> result of the shift.

Let's hear some opinions but the BIT / GENMASK macros are not
universally loved so conversion == cleanup may not obvious.